#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define		pdir	Plack
%include	/usr/lib/rpm/macros.perl
Summary:	Plack - Perl Superglue for Web frameworks and Web Servers (PSGI toolkit)
#Summary(pl.UTF-8):
Name:		perl-Plack
Version:	1.0029
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Plack/%{pdir}-%{version}.tar.gz
# Source0-md5:	cb1cde10822715423948b7411456f2c4
URL:		http://search.cpan.org/dist/Plack/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl(Devel::StackTrace::AsHTML) >= 0.11
BuildRequires:	perl(Filesys::Notify::Simple)
BuildRequires:	perl(HTTP::Body) >= 1.06
BuildRequires:	perl(Hash::MultiValue) >= 0.05
BuildRequires:	perl(Test::Requires)
BuildRequires:	perl(Test::TCP) >= 0.11
BuildRequires:	perl-Devel-StackTrace >= 1.23
BuildRequires:	perl-File-ShareDir >= 1.00
BuildRequires:	perl-File-ShareDir-Install
BuildRequires:	perl-HTTP-Request-AsCGI
BuildRequires:	perl-Try-Tiny
BuildRequires:	perl-URI >= 1.36
BuildRequires:	perl-libwww >= 5.814
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_perl	'Apache::Constants' 'Apache::Request'

%description
Plack is a set of tools for using the PSGI stack. It contains
middleware components, a reference server and utilities for Web
application frameworks. Plack is like Ruby's Rack or Python's Paste
for WSGI.

See PSGI for the PSGI specification and PSGI::FAQ to know what PSGI
and Plack are and why we need them.



# %description -l pl.UTF-8 # TODO

%prep
%setup -q -n %{pdir}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/*.pm
%{perl_vendorlib}/Plack/
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}
%attr(755,root,root) %{_bindir}/plackup
%{perl_vendorlib}/HTTP/Message/PSGI.pm
%{perl_vendorlib}/HTTP/Server/PSGI.pm
%{perl_vendorlib}/auto/share/dist/Plack
%changelog
* Thu Oct 10 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Plack.git;a=log;h=master

* Wed Oct 09 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1d614af
- up to 1.0029

* Sun May 12 2013 Jan Rękorajski <baggins@pld-linux.org> 34dedfd
- rpm5 noautoreq
- rel 2

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 2fd1101
- removed tests.patch (useless, I guess)

* Mon May 07 2012 Szymon Siwek <sls@pld-linux.org> 2192d03
- ver. 0.9986

* Mon Nov 28 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 51243e0
- up to 0.9985

* Sat May 28 2011 aredridel <aredridel@pld-linux.org> 01cccd8
- added

* Wed May 11 2011 aredridel <aredridel@pld-linux.org> 3b7d3ba
- added test patch

